Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Class MenuSelectionManager

    java.lang.Object
      |
      +--javax.swing.MenuSelectionManager

public class MenuSelectionManager
extends java.lang.Object

A MenuSelectionManager owns the selection in menu hierarchy.

Field Summary
`protected ChangeEvent` | `changeEvent` Only one ChangeEvent is needed per button model instance since the event's only state is the source property.
`protected EventListenerList` | `listenerList`

Constructor Summary
`MenuSelectionManager()`

Method Summary
`void` | `addChangeListener(ChangeListener l)` Adds a ChangeListener to the button.
`void` | `clearSelectedPath()` Tell the menu selection to close and unselect all the menu components.
`java.awt.Component` | `componentForPoint(java.awt.Component source, java.awt.Point sourcePoint)` Returns the component in the currently selected path which contains sourcePoint.
`static MenuSelectionManager` | `defaultManager()` Returns the default menu selection manager.
`protected void` | `fireStateChanged()`
`MenuElement[]` | `getSelectedPath()` Returns the path to the currently selected menu item
`boolean` | `isComponentPartOfCurrentMenu(java.awt.Component c)` Return true if c is part of the currently used menu
`void` | `processKeyEvent(java.awt.event.KeyEvent e)` When a MenuElement receives an event from a KeyListener, it should never process the event directly.
`void` | `processMouseEvent(java.awt.event.MouseEvent event)` When a MenuElement receives an event from a MouseListener, it should never process the event directly.
`void` | `removeChangeListener(ChangeListener l)` Removes a ChangeListener from the button.
`void` | `setSelectedPath(MenuElement[] path)` Change the selection in the menu hierarchy.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### changeEvent

    protected transient ChangeEvent changeEvent

  Only one ChangeEvent is needed per button model instance since the event's only state is the source property. The source of events generated is always "this".

### listenerList

    protected EventListenerList listenerList

Constructor Detail

### MenuSelectionManager

    public MenuSelectionManager()

Method Detail

### defaultManager

    public static MenuSelectionManager defaultManager()

  Returns the default menu selection manager.
  Returns:
    a MenuSelectionManager object

### setSelectedPath

    public void setSelectedPath(MenuElement[] path)

  Change the selection in the menu hierarchy.
  Parameters:
    `path` - an array of MenuElement objects specifying the selected path

### getSelectedPath

    public MenuElement[] getSelectedPath()

  Returns the path to the currently selected menu item
  Returns:
    an array of MenuElement objects representing the selected path

### clearSelectedPath

    public void clearSelectedPath()

  Tell the menu selection to close and unselect all the menu components. Call this method when a choice has been made

### addChangeListener

    public void addChangeListener(ChangeListener l)

  Adds a ChangeListener to the button.
  Parameters:
    `l` - the listener to add

### removeChangeListener

    public void removeChangeListener(ChangeListener l)

  Removes a ChangeListener from the button.
  Parameters:
    `l` - the listener to remove

### fireStateChanged

    protected void fireStateChanged()

### processMouseEvent

    public void processMouseEvent(java.awt.event.MouseEvent event)

  When a MenuElement receives an event from a MouseListener, it should never process the event directly. Instead all MenuElements should call this method with the event.
  Parameters:
    `event` - a MouseEvent object

### componentForPoint

    public java.awt.Component componentForPoint(java.awt.Component source,
                                                java.awt.Point sourcePoint)

  Returns the component in the currently selected path which contains sourcePoint.
  Parameters:
    `source` - The component in whose coordinate space sourcePoint is given
    `sourcePoint` - The point which is being tested
  Returns:
    The component in the currently selected path which contains sourcePoint (relative to the source component's coordinate space. If sourcePoint is not inside a component on the currently selected path, null is returned.

### processKeyEvent

    public void processKeyEvent(java.awt.event.KeyEvent e)

  When a MenuElement receives an event from a KeyListener, it should never process the event directly. Instead all MenuElements should call this method with the event.
  Parameters:
    `e` - a KeyEvent object

### isComponentPartOfCurrentMenu

    public boolean isComponentPartOfCurrentMenu(java.awt.Component c)

  Return true if c is part of the currently used menu

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.